<?xml version="1.0" encoding="utf-8"?>
<navigation xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/nav_graph"
    app:startDestination="@id/homeFragment">

    <fragment
        android:id="@+id/homeFragment"
        android:name="cat.itb.melvoridle.Fragments.HomeFragment"
        android:label="fragment_home"
        tools:layout="@layout/fragment_home" >
        <action
            android:id="@+id/home_to_login"
            app:destination="@id/loginFragment" />
        <action
            android:id="@+id/home_to_game"
            app:destination="@id/gameFragment2" />
        <action
            android:id="@+id/action_homeFragment_self"
            app:destination="@id/homeFragment" />
        <argument
            android:name="changeChar"
            app:argType="boolean"
             />
    </fragment>
    <fragment
        android:id="@+id/loginFragment"
        android:name="cat.itb.melvoridle.Fragments.LoginFragment"
        android:label="fragment_login"
        tools:layout="@layout/fragment_login" >
        <action
            android:id="@+id/login_to_register"
            app:destination="@id/registerFragment" />
        <action
            android:id="@+id/login_to_home"
            app:destination="@id/homeFragment" />
    </fragment>
    <fragment
        android:id="@+id/registerFragment"
        android:name="cat.itb.melvoridle.Fragments.RegisterFragment"
        android:label="fragment_register"
        tools:layout="@layout/fragment_register" >
        <action
            android:id="@+id/register_to_login"
            app:destination="@id/loginFragment" />
    </fragment>
    <fragment
        android:id="@+id/gameFragment2"
        android:name="cat.itb.melvoridle.Fragments.GameFragment"
        android:label="GameFragment" >
        <argument
            android:name="character"
            app:argType="cat.itb.melvoridle.Model.Character" />
        <action
            android:id="@+id/game_to_home"
            app:destination="@id/homeFragment" />
        <action
            android:id="@+id/game_to_login"
            app:destination="@id/loginFragment" />
        <action
            android:id="@+id/action_gameFragment2_self"
            app:destination="@id/gameFragment2" />
    </fragment>
</navigation>